Summary: An efficient, complete, easy-to-use mobile database framework used in the WeChat application.
Name: wcdb
Version: 2.1.6
Release: 1%{?dist}
License: BSD 3-Clause
URL: https://github.com/Tencent/wcdb
Source0: wcdb-2.1.6.zip

Patch5000: fix-compile-error-in-Linux.patch

BuildRequires: gcc, cmake, g++

%description
WCDB is an efficient, complete, easy-to-use 
mobile database framework used in the WeChat application. 
It's based on SQLite and SQLCipher, 
and supports five languages: C++, Java, Kotlin, Swift and 
Objective-C.

%prep
%autosetup -p1

%build
mkdir -p src/build
cd src/build
cmake -DCMAKE_SKIP_RPATH=ON ..
cmake --build . -j%{?_smp_build_ncpus}

%install
# 创建目标目录
install -d %{buildroot}%{_includedir}/WCDB %{buildroot}%{_libdir}

# 安装头文件，使用 find 过滤存在的文件
find src/build/export_headers/WCDB/ -type f -exec install -D {} %{buildroot}%{_includedir}/WCDB/ \;

# 安装库文件
install -D src/build/libWCDB.so %{buildroot}%{_libdir}/libWCDB.so

%files
%{_includedir}/WCDB/
%{_libdir}/libWCDB.so

%changelog
* Tue Aug 6 2024 ConanYao <JaneConan@live.com> - 2.1.6-1
- [Type] other
- [DESC] Initial build of wcdb.